/* Calcul du PGCD de 2 nombres entiers positifs */
/* par methode recursive                        */

public class PGCDRecursif {
  
//////////////////////////////////////////////////

/* Fonction de calcul et retour du PGCD         */
/* de 2 nombres entiers positifs                */
/* par methode recursive                        */
/* a : Le premier nombre entier                 */
/* b : Le second nombre entier                  */

  static int PGCD(int a,int b) {
    int res = 0;
    if ( a < b ) {
      res = PGCD(b,a); }
      else {
      if ( b == 0 ) {
        res = a; }
        else {
        res = PGCD(b,a % b); } }
    return res;
  }

//////////////////////////////////////////////////
  
/* Programme principal                          */

  public static void main(String [] args) {
    int na;
    int nb;
    int pgcd;
    Ecran.afficherln("Valeurs ? ");
    na = Clavier.saisirInt();
    nb = Clavier.saisirInt();
    pgcd = PGCD(na,nb);
    Ecran.afficherln("PGCD(",na,",",nb,") = ",pgcd);
  }
}